#
# spec file for package python-pbkdf2
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pbkdf2
Version:        1.3
Release:        1.1
Summary:        PKCS#5 v2.0 PBKDF2 Module
License:        MIT
Group:          Development/Libraries/Python
Url:            http://www.dlitz.net/software/python-pbkdf2/
Source:         https://pypi.python.org/packages/source/p/pbkdf2/pbkdf2-%{version}.tar.gz
Patch:          pbkdf2-fix-test_suite.diff
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Recommends:	python-pycrypto
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This module implements the password-based key derivation function, PBKDF2,
specified in RSA PKCS#5 v2.0.

%prep
%setup -q -n pbkdf2-%{version}
%patch -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root)
%doc PKG-INFO README.txt
%{python_sitelib}/*

%changelog
* Sun Aug  4 2013 hpj@urpla.net
- version 1.3: initial build
